Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » eclipse failed to install(eclipse failed to install in a windows computer)
eclipse failed to install [message #1801417] Fri, 18 January 2019 17:50 Go to next message
Ruiyan Song is currently offline Ruiyan SongFriend
Messages: 2
Registered: January 2019
Junior Member
the eclipse exe file has been downloaded to my computer, but when I try to open it, it directs me to a browser window with an error message.
Re: eclipse failed to install [message #1801420 is a reply to message #1801417] Fri, 18 January 2019 18:45 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3628
Registered: July 2009
Senior Member

What's the error message?

Nitin Dahyabhai
Eclipse Web Tools Platform
Re: eclipse failed to install [message #1801427 is a reply to message #1801420] Fri, 18 January 2019 21:52 Go to previous messageGo to next message
P Dudero is currently offline P DuderoFriend
Messages: 6
Registered: January 2019
Junior Member
I get the same thing. It's "HTTP 400 Bad Request" "The web page cannot be found."
Re: eclipse failed to install [message #1801428 is a reply to message #1801427] Fri, 18 January 2019 22:00 Go to previous messageGo to next message
Robert Klimek is currently offline Robert KlimekFriend
Messages: 1
Registered: January 2019
Junior Member
I am also having the same issue with the same error message in my browser.
Re: eclipse failed to install [message #1801431 is a reply to message #1801428] Fri, 18 January 2019 22:26 Go to previous messageGo to next message
P Dudero is currently offline P DuderoFriend
Messages: 6
Registered: January 2019
Junior Member
I found this in the Eclipse 4.7 Release Notes: "Eclipse 4.7 requires at least a Java SE 8." And if you work for a business like me, you should be aware that after the most recent Oracle Java SE 8 release, Oracle will no longer be providing public updates for business, commercial or production use without a license.

https://www.java.com/en/download/release_notice.jsp

So I'm going to try to install an older version of Eclipse, since I have an older version of Java installed...

[Updated on: Fri, 18 January 2019 22:28]

Report message to a moderator

Re: eclipse failed to install [message #1801432 is a reply to message #1801431] Fri, 18 January 2019 22:31 Go to previous messageGo to next message
P Dudero is currently offline P DuderoFriend
Messages: 6
Registered: January 2019
Junior Member
Well, I tried quitting out of the Java installer, but it went through. Now java.com reports that I have the latest version of Java installed, so I tried "eclipse-inst-win64.exe", but I still got the same behavior, same error message. So apparently it isn't about what Java you have installed.
Re: eclipse failed to install [message #1801441 is a reply to message #1801432] Sat, 19 January 2019 07:56 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 31009
Registered: July 2009
Senior Member
Can you show the URL that's not working?
Can you show what is in the two files in ~/.eclipse/org.eclipse.oomph.jreinfo, i.e., in default.properties and infos.txt.

For me the former contains
64/*=C\:\\Program Files\\Java\\jre1.8.0_121
64/1.8=C\:\\Program Files\\Java\\jre1.8.0_121
and the later contains
C:\Program Files\Java\jdk1.8.0_121;1;8;0;64;true;1490692583438
C:\Program Files\Java\jdk1.8.0_112;1;8;0;64;true;1483438804301
C:\Program Files (x86)\Java\jdk1.8.0_101;1;8;0;32;true;1474379109487
C:\Program Files\Java\jdk1.8.0_72;1;8;0;64;true;1453726714145
C:\Program Files\Java\jre1.8.0_112;1;8;0;64;false;1483438827048
C:\Program Files\Java\jre1.8.0_111;1;8;0;64;false;1483438552670
C:\Program Files\Java\jre1.8.0_121;1;8;0;64;false;1490692628315
C:\Program Files (x86)\Java\jre1.8.0_111;1;8;0;32;false;1483438528266
These are all the JREs/JDKS I have installed on my system and are known because they are present in the system registry. If your installer is failing to run, then I imagine you really don't have a 64 bit Java 8 or higher installed.
Re: eclipse failed to install [message #1801448 is a reply to message #1801417] Sat, 19 January 2019 13:38 Go to previous messageGo to next message
Matt Maxon is currently offline Matt MaxonFriend
Messages: 3
Registered: January 2019
Junior Member
You gotta have the Java SE Development Kit installed not just the java runtime

( I cannot post the link since I'm a new user)
Re: eclipse failed to install [message #1801528 is a reply to message #1801448] Mon, 21 January 2019 19:11 Go to previous messageGo to next message
P Dudero is currently offline P DuderoFriend
Messages: 6
Registered: January 2019
Junior Member
Okay, so I installed the "Java SE Development Kit 11.0.2" from the Oracle web site. Now when I run "eclipse-inst-win64.exe", I get this helpful message on an otherwise completely blank web page:

can't open file

The URL is
http://download.eclipse.org/oomph/jre/?vm=1_1_7_0_64_0&pn=Eclipse%20Installer&pu=http://wiki.eclipse.org/Eclipse_Installer&pi=http://download.eclipse.org/oomph/jre/128x128.png
Re: eclipse failed to install [message #1801542 is a reply to message #1801528] Tue, 22 January 2019 06:58 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 31009
Registered: July 2009
Senior Member
Note that no one has answered my questions: "Can you show what is in the two files in ~/.eclipse/org.eclipse.oomph.jreinfo, i.e., in default.properties and infos.txt. " so I can't really see what the installer has discovered is actually on your system. Perhaps you didn't install a 32 bit version. Perhaps you're downloading a very old installer that cannot run on Java 11. Did you get it from here?

https://www.eclipse.org/downloads/

I'm still trying to figure out why this URL works:

http://download.eclipse.org/oomph/jre/?vm=1_1_7_0_64_0&pn=Eclipse%20Installer&pu=http://wiki.eclipse.org/Eclipse_Installer&pi=https://download.eclipse.org/oomph/jre/128x128.png

but this one does not:

http://download.eclipse.org/oomph/jre/?vm=1_1_7_0_64_0&pn=Eclipse%20Installer&pu=http://wiki.eclipse.org/Eclipse_Installer&pi=http://download.eclipse.org/oomph/jre/128x128.png

I.e., why does the server not process this URL properly anymore...

https://bugs.eclipse.org/bugs/show_bug.cgi?id=543613

If you want to install an old version of Eclipse or use an old installer, the older versions of either may well not run on Java 9 or higher (on Java 9 because modules refuse to open without special command line options, and Java 11 because libraries have been removed, e.g., javax.jaxb).
Re: eclipse failed to install [message #1801575 is a reply to message #1801542] Tue, 22 January 2019 19:52 Go to previous messageGo to next message
P Dudero is currently offline P DuderoFriend
Messages: 6
Registered: January 2019
Junior Member
I didn't have a previous version of eclipse on my machine, and since the installer failed immediately, I didn't *have* a ".eclipse" directory at all. I looked everywhere I could think (on my Windows machine) but couldn't find one.

However, whatever it was you worked out with your network server person seems to have fixed the problem. I can run (and am running) the installer now.

Thanks,
-P.D.
Re: eclipse failed to install [message #1801798 is a reply to message #1801575] Sun, 27 January 2019 05:47 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 31009
Registered: July 2009
Senior Member
On anther thread the underlying problem was installing a 32 bit Java and expecting it to work with a 64 bit version of the installer (or Eclipse). Where exactly in your file system is your Java installed?
Previous Topic:spell check not working at all
Next Topic:I tried to install eclipse on my Chromebook,but it doesn't work
Goto Forum:
  


Current Time: Wed Apr 01 22:40:19 GMT 2020

Powered by FUDForum. Page generated in 0.03153 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top